{% trans_default_domain 'FOSUserBundle' %}

<div class="main-container">
    <div class="container">
        <div class="row">
            <div class="col-sm-5 login-box">
                <div class="panel panel-default">
                    <div class="panel-intro text-center">
                        <h2 class="title-2"><i class="fa fa-edit"></i> Modifier mot de passe ! </h2>
                    </div>
                    <div class="panel-body">
                        {{ form_start(form, { 'action': path('fos_user_change_password'), 'attr': { 'class': 'fos_user_change_password', 'novalidate':'novalidate' } }) }}
                            <div class="form-group">
                                <label for="sender-email" class="control-label">{{ form_label(form.current_password) }}</label>
                                <div class="input-icon"><i class="icon-key fa"></i>
                                    {{ form_widget(form.current_password, {'attr': {'class': 'form-control email'}}) }}
                                </div>
                            </div>
                        {% if form.current_password.vars.errors | length %}
                            <div class="alert alert-danger" role="alert">
                                {{ form_errors(form.current_password) }}
                            </div>
                        {% endif %}
                        {% if app.request.attributes.get('_route') == 'fos_user_change_password' %}
                            {% if form.plainPassword.first.vars.errors | length %}
                                <div class="alert alert-danger" role="alert">
                                    {{ form_errors(form.plainPassword.first) }}
                                </div>
                            {% endif %}
                        {% endif %}
                            <div class="form-group">
                                <label for="sender-email" class="control-label">{{ form_label(form.plainPassword.first) }}</label>
                                <div class="input-icon"><i class="icon-key fa"></i>
                                    {{ form_widget(form.plainPassword.first, {'attr': {'class': 'form-control email'}}) }}
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="sender-email" class="control-label">{{ form_label(form.plainPassword.second) }}</label>
                                <div class="input-icon"><i class="icon-key fa"></i>
                                    {{ form_widget(form.plainPassword.second, {'attr': {'class': 'form-control email'}}) }}
                                </div>
                                {% if form.plainPassword.first.vars.errors | length %}
                                    <div class="alert alert-danger" role="alert">
                                        {{ form_errors(form.plainPassword.first) }}
                                    </div>
                                {% endif %}
                            </div>
                            <div class="form-group">
                                <button type="submit" class="btn btn-primary btn-lg btn-block">{{ 'change_password.submit'|trans }}
                                </button>
                            </div>
                        {{ form_end(form) }}
                    </div>
                    <div class="panel-footer">
                        <p class="text-center "><a href="{{ path('fos_user_profile_show') }}">Mon compte </a></p>
                        <div style=" clear:both"></div>
                    </div>
                </div>
                <div class="login-box-btm text-center">
                    <p>Créer un nouveau compte ! <br>
                        <a href="{{ path('fos_user_registration_register') }}"><strong>S'inscrire</strong> </a></p>
                </div>
            </div>
        </div>
    </div>
</div>